# Introduction to PATRIC

[PATRIC](https://www.patricbrc.org/) is a framework constructed to support comparative analysis of microbial genomes.  It includes four components: *data*, *tools*, *services*, and *interfaces*.

* Data:
  * The Data component includes two subcomponents:
	* An integration of publicly available data (including over 200,000 microbial genomes and a growing body of drug resistance data)
	* Workspaces  where data and results can be saved and re-used

* Tools:
  * PATRIC includes a collection of tools that support 
	* Extraction of data that can then be used in a focused analysis
	* Support for processing extracted data in the form of tab-separated tables

* Services:
  * A collection of Apps that implement a rich set of bioinformatic algorithms to support comparative analysis

* Interfaces:
  * PATRIC supports two primary user-interfaces: 
	* The GUI that you can access at the [PATRIC](https://www.patricbrc.org/) website.
	* A command line interface that supports invocation of tools for users wishing to craft more customized requests

## Effective Use of the PATRIC Resource

Effective use of [PATRIC](https://www.patricbrc.org/) requires that you understand the basic overview along with a reasonably small set of operations that allow you to extract and process data. [PATRIC](https://www.patricbrc.org/) is a rich collection of data and tools.  We are goingt to present you with a sequence of tasks that you can master fairly easily and will leave you with a highly functional (but somewhat limited) set of skills.  Then, as you occasionally find you need to expand your abilities, you can use one of the [PATRIC](https://www.patricbrc.org/) tutorials and/or request for help from the PATRIC support team for more help.

## Gaining the Basic Set of Skills

Before you start, you will need to install the [PATRIC command line](https://docs.patricbrc.org//cli_tutorial/index.html#installing-the-cli-release) tools. There are also a series of [tutorials](https://docs.patricbrc.org//cli_tutorial/cli_getting_started.html) about using the command line tools that complement the tutorials here.

We have put together a series of short, directed tutorials that will help you get acquainted with [PATRIC](https://www.patricbrc.org/) using the command line.

1. [Constructing Genome Sets](GenomeSets)

