# Introduction to Python

[Python](https://www.python.org) is one of the most popular programming languages. There are lots of reasons why, 
here are some of them.

- [It is very easy to use](https://stackoverflow.blog/2021/07/14/getting-started-with-python/)
- There are lots and lots of tools for different things that have already been written and tested by others
    - The scientific python suite includes many interconnected modules:
        - [numpy](http://www.numpy.org/) - the numeric Python library that excels at matrix manipulations and common 
          mathematical functions
        - [scipy](https://www.scipy.org/) - the scientific Python library that includes statistics, 
          modeling, and much more
        - [matplotlib](http://matplotlib.org/) - the graphical library for making plots and graphs
        - [seaborn](https://seaborn.pydata.org/) - an extension to matplot lib that makes beautiful graphs easy 
        - [pandas](http://pandas.pydata.org/) - rich data structures (especially tables) for manipulating data
        - [networkx](https://networkx.github.io/) - for network analysis, interrogation, and manipulation
        - [sci-kit learn](http://scikit-learn.org/) - for machine learning
    - There are many, many [domain specific add ons](https://www.scipy.org/topical-software.html) that you
    can leverage when you are writing your code and analyzing your data. For example, some of the topics include:
        -   [Astronomy](https://www.scipy.org/topical-software.html#astronomy)
        -   [Artificial intelligence and machine learning](https://www.scipy.org/topical-software.html#artificial-intelligence-and-machine-learning)
        -   [Bayesian statistics](https://www.scipy.org/topical-software.html#bayesian-statistics)
        -   [Biology](https://www.scipy.org/topical-software.html#biology-including-neuroscience)
        -   [Dynamical systems](https://www.scipy.org/topical-software.html#dynamical-systems)
        -   [Economics and econometrics](https://www.scipy.org/topical-software.html#economics-and-econometrics)
        -   [Electromagnetics and electrical engineering](https://www.scipy.org/topical-software.html#electromagnetics-and-electrical-engineering)
        -   [Geosciences](https://www.scipy.org/topical-software.html#geosciences)
        -   [Molecular modeling](https://www.scipy.org/topical-software.html#molecular-modeling)
        -   [Signal processing](https://www.scipy.org/topical-software.html#signal-processing)
        -   [Symbolic math, number theory, etc.](https://www.scipy.org/topical-software.html#symbolic-math-number-theory-etc)
        -   [Quantum mechanics](https://www.scipy.org/topical-software.html#quantum-mechanics)
- It is one of the most popular langauges on [Stack Overflow](https://stackoverflow.com/questions/tagged/python) with 
  over 1.75 million questions and answers!
- The [PyCharm](https://www.jetbrains.com/pycharm/) development enironment is free!

# The pros and cons of Python

Python is no where near the fastest computer programming language. In fact, it is even slower than some similar
languages [like Perl](https://stackoverflow.com/questions/12793562/text-processing-python-vs-perl-performance), 
but it is much easier to develop in Python than many other languages (e.g. Perl). In a _lot_ of applications 
(e.g. bioinformatics, data science, geoscience), the development time is much more important than the computer
run time. Note that you should still think about [what affects computer run time and how to measure 
that](https://youtu.be/IgeJmTKQlKs), and sometimes you will run into intractable problems, but often the cheapest
solution is to throw more computers at a problem, not to spend more time developing it. _Note_ this is not always 
true, and there are many occassions (e.g. running things on cell phones) where you want to be very careful to 
optimize your applications!

