[![Edwards Lab](https://img.shields.io/badge/Bioinformatics-EdwardsLab-03A9F4)](https://edwards.sdsu.edu/research)
[![DOI](https://www.zenodo.org/badge/146160006.svg)](https://www.zenodo.org/badge/latestdoi/146160006)

# ComputationalGenomicsManual

Robs manual for the computational genomics and bioinformatics class

# About this manual

Rob, Liz Dinsdale, Tom Jeffries, Bruno Gomez-Gil, Jim Mitchell, and several other colleagues and friends have been teaching genomics and metagenomics for a long time. They have written this manual over the course of several years, and in a variety of formats. Rob moved it to markdown using GitHub in Fall 2018 as part of his computational genomics class.

You can view this [manual online](https://linsalrob.github.io/ComputationalGenomicsManual/)

# Companion Videos

Companion videos that accompany this class are available on You Tube on [Rob's YouTube Playlist](https://www.youtube.com/playlist?list=PLpPXw4zFa0uLMHwSZ7DMeLGjIUgo1IBbn).

# Chapter Index

Chapter | Contents  | HTML  | PDF   
--- | --- | --- | ---
1\. | Linux | [HTML](Linux/) | [PDF](Linux/Linux.pdf)
2\. | Conda | [HTML](Conda/) | [PDF](Conda/Conda.pdf)
3\. | Snakemake | [HTML](Snakemake) | [PDF](Snakemake/Snakemake.pdf)
4\. | Sequencing Overview | [HTML](Sequencing/) | [PDF](Sequencing/Sequencing.pdf)
5\. | Sequence File Formats | [HTML](SequenceFileFormats/) | [PDF](SequenceFileFormats/SequenceFileFormats.pdf)
6\. | Sequence Quality Control | [HTML](SequenceQC/) | [PDF](SequenceQC/SequenceQC.pdf)
7\. | Databases | [HTML](Databases/) | [PDF](Databases/Databases.pdf)
7a. | - NCBI Edirect | [HTML](Databases/NCBI_Edirect.md) | [PDF](Databases/NCBI_Edirect.pdf)
7b. | - NCBI SRA | [HTML](Databases/SRA.md) | [PDF](Databases/SRA.pdf)
8\. | Genome Sequencing Overview | [HTML](GenomeSequencingOverview) | [PDF](GenomeSequencingOverview/GenomeSequencingOverview.pdf)
9\. | Sequence Assembly | [HTML](SequenceAssembly) | [PDF](SequenceAssembly/SequenceAssembly.pdf)
10\. | ORF Calling | [HTML](ORFCalling/) | [PDF](ORFCalling/ORFCalling.pdf)
11\. | tRNA and rRNA identification | [HTML](tRNA_rRNA/) | [PDF](tRNA_rRNA/tRNA_rRNA.pdf)
12\. | Annotation Pipelines | [HTML](AnnotationPipelines/) | [PDF](AnnotationPipelines/AnnotationPipelines.pdf)
13\. | Metagenomics | [HTML](Metagenomics/) | [PDF](Metagenomics/Metagenomics.pdf)
14\. | - Example Data Sets | [HTML](Metagenomics/ExampleDataSets.md) | [PDF](Metagenomics/ExampleDataSets.pdf)
15\. | Cross Assembly | [HTML](CrossAssembly/) | [PDF](CrossAssembly/CrossAssembly.pdf)
15a. | - Metabat | [HTML](CrossAssembly/Metabat.md) | [PDF](CrossAssembly/Metabat.pdf)
15b. | - CCOM | [HTML](CrossAssembly/CCOM.md) | [PDF](CrossAssembly/CCOM.pdf)
16\. | 16S sequencing | [HTML](16S/) | [PDF](16S/16S.pdf)
17\. | FOCUS | [HTML](FOCUS/) | [PDF](FOCUS/FOCUS.pdf)
18\. | Kraken | [HTML](Kraken2) | [PDF](Kraken2/Kraken2.pdf)
19\. | SUPER-FOCUS | [HTML](SUPER-FOCUS/) | [PDF](SUPER-FOCUS/SUPER-FOCUS.pdf)
20\. | GenomePeek | [HTML](GenomePeek/) | [PDF](GenomePeek/GenomePeek.pdf)
21\. | RTMg | [HTML](RTMg/) | [PDF](RTMg/RTMg.pdf)
22\. | OrfM and the SEED | [HTML](Metagenomics/AnnotatingOrfMSeed.md) | [PDF](Metagenomics/AnnotatingOrfMSeed.pdf)
23\. | ANVI'O | [HTML](ANVIO/) | [PDF](ANVIO/ANVIO.pdf)
24\. | CheckM | [HTML](CheckM/) | [PDF](CheckM/CheckM.pdf)


# Workshops.

We are using this content in a [variety of workshops](Workshops/)


# Assignments. 

Solutions are still not shown, but you can work through some of these

* [NCBI EDirect](Assignments/NCBIEDirectAssignment) is to familiarize yourself with NCBI EDirect.
* [Genomics Assignment](Assignments/GenomicsAssignment/) is to analyze complete genomes from *Klebsiella*.
* [Metagenomics Assignment](Assignments/MetagenomicsAssignment) is to analyze some metagenomics data and describe the organisms that you find there.


# Datasets

We have several different [datasets](Datasets/) available for you to use to try the course work out. There are both 16S and random metagenomes, and links to genomics data.


# PDFs

Note: The PDFs are automatically created from the markdown, and loose some of the images and links. You should probably use the HTML version most of the time.

# About Copyright Information

Some of the images used in this manual are currently copyright other people. As noted above, Rob and friends wrote this manual over many years and added the images and cartoons to lighten the manual. We are in the process of identifying the copyright holders and/or identifying images that are not copyrighted. If your rights have been infringed upon, if you would like to provide an indemnification, or if you would like to provide a non-copyrighted image, please contact Rob.

# Copyright

This manual is Copyright Robert A. Edwards. 2018.

# Citation

If you wish to cite this manual, please cite: *Edwards, R. 2018. Computational Genomics. https://linsalrob.github.io/ComputationalGenomicsManual/. Accessed [today's date]* DOI: 10.5281/zenodo.7883375

# References

We have an [extensive list of references](References/) available, but if you find something missing that we should have cited (a) we're sorry, we tried to remember all of them and (b) please email Rob or provide a pull request and we'll add it.
